Subject: Re: Adding error messages to a few slash commands

From: Tom Lane <[email-masked]>
Date: Sun, 13 Apr 2025 01:29:00 -0400

Abhishek Chanda <[email-masked]> writes:
> Currently, some slash commands in psql return an error saying "Did not
> find any XXXX named YYYY" while some return an empty table. This patch
> changes a few of the slash commands to return a similar error message.

Personally, if I were trying to make these things consistent, I'd have
gone in the other direction (ie return empty tables).  We don't make
psql throw an error when an ordinary user query returns zero rows;
why should \d commands do that?

> Also, I know that we are in a
> feature freeze, is such a change acceptable now?

Whether changing this is a good idea or not, it's surely hard
to claim that it's a bug fix.  So I'd say it's out of scope for
post-feature-freeze.

			regards, tom lane